import { t as toStringTagSupport, c as classof$1 } from './classof-dede1dd4.js';
import { b as redefine$1 } from './well-known-symbol-9b7e0fd8.js';

var TO_STRING_TAG_SUPPORT$1 = toStringTagSupport;
var classof = classof$1;

// `Object.prototype.toString` method implementation
// https://tc39.es/ecma262/#sec-object.prototype.tostring
var objectToString = TO_STRING_TAG_SUPPORT$1 ? {}.toString : function toString() {
  return '[object ' + classof(this) + ']';
};

var TO_STRING_TAG_SUPPORT = toStringTagSupport;
var redefine = redefine$1.exports;
var toString = objectToString;

// `Object.prototype.toString` method
// https://tc39.es/ecma262/#sec-object.prototype.tostring
if (!TO_STRING_TAG_SUPPORT) {
  redefine(Object.prototype, 'toString', toString, { unsafe: true });
}
